Name:           python-pathspec
Version:        0.6.0
Release:        1%{?dist}
Summary:        Utility library for gitignore style pattern matching of file paths
License:        MPL 2.0
URL:            https://github.com/cpburnz/python-path-specification
Source0:        https://files.pythonhosted.org/packages/source/p/pathspec/pathspec-%{version}.tar.gz
BuildArch:      noarch

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python2-pathspec
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-pathspec}

%description -n python2-pathspec
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python%{python3_pkgversion}-pathspec
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-pathspec}

%description -n python%{python3_pkgversion}-pathspec
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}
# Remove bundled egg-info
rm -rf pathspec.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-pathspec
%doc README.rst
%license LICENSE
%{python2_sitelib}/pathspec
%{python2_sitelib}/pathspec-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-pathspec
%doc README.rst
%license LICENSE
%{python3_sitelib}/pathspec
%{python3_sitelib}/pathspec-%{version}-py?.?.egg-info

%changelog
* Thu Jan 25 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 0.6.0-1
- Rebuilt for MSVSphere 8.9

* Tue Oct 15 2019 Adrien Vergé <adrienverge@gmail.com> - 0.6.0-1
- Update to latest upstream version
- Adapt for EPEL 8 and Python 2/3 support

* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.5.3-2
- Rebuilt to change main python from 3.4 to 3.6

* Fri Jul 7 2017 Adrien Vergé <adrienverge@gmail.com> - 0.5.3-1
- Update to latest upstream version
- Include LICENSE file now that upstream packages it

* Wed Jun 28 2017 Adrien Vergé <adrienverge@gmail.com> - 0.5.2-1
- Initial package.
